AMCLLaser Class Reference
Inheritance diagram for AMCLLaser:

## Public Member Functions

| AMCLLaser (AdaptiveMCL &aAMCL, player_devaddr_t addr)
virtual int | Load (ConfigFile *cf, int section)
virtual int | Unload (void)
virtual int | Setup (void)
virtual int | Shutdown (void)
virtual int | ProcessMessage (QueuePointer &resp_queue, player_msghdr *hdr, void *data)
virtual bool | UpdateSensor (pf_t *pf, AMCLSensorData *data)
Public Member Functions inherited from AMCLSensor
| AMCLSensor (AdaptiveMCL &aAMCL)
virtual bool | UpdateAction (pf_t *pf, AMCLSensorData *data)
virtual bool | InitSensor (pf_t *pf, AMCLSensorData *data)

## Private Member Functions

int | SetupMap (void)

## Static Private Member Functions

static double | SensorModel (AMCLLaserData *data, pf_sample_set_t *set)

## Private Attributes

player_devaddr_t | laser_addr
player_devaddr_t | map_addr
Device * | laser_dev
double | time
map_t * | map
pf_vector_t | laser_pose
int | max_beams
double | range_var
double | range_bad

## Additional Inherited Members

Public Attributes inherited from AMCLSensor
bool | is_action
pf_vector_t | pose
Protected Attributes inherited from AMCLSensor
AdaptiveMCL & | AMCL

The documentation for this class was generated from the following files:

- amcl_laser.h
- amcl_laser.cc

Last updated 12 September 2005 21:38:45